from distutils.core import setup
from setuptools import find_packages
import os, datetime

if os.path.isfile('VERSION'):
    VERSION = open('VERSION').read().strip()
    if VERSION == '${VERSION}':
        VERSION = datetime.datetime.now().strftime("%Y.%m.%d.%H.%M.%S")
    os.environ['VERSION'] = VERSION
else:
    VERSION = os.environ.get('VERSION')
print('Version', VERSION)

setup(
    name='beautifulexcel',
    version=VERSION,
    description='BeautifulExcel is a python package that makes it easy and quick to save pandas dataframes in beautifully formatted excel files. BeautifulExcel is the Openpyxl for Data Scientists with a deadline.',
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    author='https://github.com/vanalmsick',
    url='https://github.com/vanalmsick/beautifulexcel',
    project_urls={
        'Issues': 'https://github.com/vanalmsick/beautifulexcel/issues',
        'Documentation': 'https://vanalmsick.github.io/beautifulexcel/',
        'Source Code': 'https://github.com/vanalmsick/beautifulexcel',
    },
    classifiers=[
          'Programming Language :: Python :: 3',
          'License :: OSI Approved :: MIT License',
          'Operating System :: OS Independent',
          ],
    python_requires='>=3.7',
    packages=find_packages(),
    include_package_data=True,
)